Package picard.arrays.illumina

## Class InfiniumDataFile

- java.lang.Object
- - picard.arrays.illumina.InfiniumDataFile

- Direct Known Subclasses:
    `IlluminaBPMFile`, `InfiniumEGTFile`, `InfiniumGTCFile`

      public abstract class InfiniumDataFile
      extends Object

  A class to provide methods for accessing Illumina Infinium Data Files.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `MAX_UNSIGNED_SHORT` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static char[]` | `byteArrayToCharArray​(byte[] stringBytes)` |
    `static float` | `byteArrayToFloat​(byte[] bytes)` | Utility method to convert a byte array to a float value.
    `static int` | `byteArrayToInt​(byte[] bytes)` | Utility method to convert an unsigned short to an int.
    `static byte[]` | `floatToByteArray​(float floatValue)` | Utility method to convert a float to a byte array
    `String` | `getIdentifier()` |
    `void` | `setIdentifier​(String identifier)` |
    `static byte[]` | `shortToByteArray​(short value)` | Utility method to convert a short to a byte array

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MAX_UNSIGNED_SHORT

          public static final int MAX_UNSIGNED_SHORT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### byteArrayToCharArray

          public static char[] byteArrayToCharArray​(byte[] stringBytes)

    - #### byteArrayToInt

          public static int byteArrayToInt​(byte[] bytes)

      Utility method to convert an unsigned short to an int.
      Parameters:
        `bytes` - The byte array representing the unsigned short. (Java has no unsigned values which is why we promote it to an int)
      Returns:
        The converted int.

    - #### shortToByteArray

          public static byte[] shortToByteArray​(short value)

      Utility method to convert a short to a byte array
      Parameters:
        `value` - The short value to convert to byte array
      Returns:
        The byte array containing the short in little endian format.

    - #### byteArrayToFloat

          public static float byteArrayToFloat​(byte[] bytes)

      Utility method to convert a byte array to a float value.
      Parameters:
        `bytes` - The byte array representing the float value.
      Returns:
        The converted float.

    - #### floatToByteArray

          public static byte[] floatToByteArray​(float floatValue)

      Utility method to convert a float to a byte array
      Parameters:
        `floatValue` - the float value to convert to byte array
      Returns:
        The byte array containing the float in little endian format.

    - #### getIdentifier

          public String getIdentifier()

    - #### setIdentifier

          public void setIdentifier​(String identifier)